1.1

1.1

get /v1/replications/{replication_id}

Description

Show Volume Replication

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathreplication_id
required
Replication ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone
queryvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationShowResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications/{replication_id}?volume_id={volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_frequency": "5min",
    "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "source_volume_region": "kr-west1",
    "source_volume_access_level": "ro",
    "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_volume_region": "kr-west1",
    "replication_volume_access_level": "ro",
    "replication_type": "replication",
    "source_volume_name": "my_volume",
    "replication_policy": "use",
    "replication_status": "creating",
    "replication_volume_name": "my_volume",
    "backup_retention_count": 2
}